import { CacheModule, Module } from '@nestjs/common';
import { SlonikModule } from 'nestjs-slonik';
import { RedisClientOptions } from 'redis';
import { postgresConnectionUrl } from './config/database.config';
import { redisConfig } from './config/redis.config';
import { UserModule } from './user/user.module';
import { UserModule } from './modules/user/user.module';

@Module({
  imports: [
    SlonikModule.forRoot({
      connectionUri: postgresConnectionUrl,
    }),
    CacheModule.register<RedisClientOptions>(redisConfig),
    UserModule
  ],
  controllers: [],
  providers: [],
})
export class AppModule {}
